> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Start warranty workflow

> Success

### Request body

`WarrantyWorkflowInput`

<ParamField body="request_id" type="string (uuid)" required />

<ParamField body="brand_id" type="string (uuid)" required />

<ParamField body="ticket_id" type="string" required />

<ParamField body="channel" type="string" />

<ParamField body="subject" type="string" />

<ParamField body="message_body" type="string" />

<ParamField body="tags" type="string" />

<ParamField body="quantity" type="integer" />

<ParamField body="customer" type="WarrantyCustomer" />

<ParamField body="address" type="WarrantyAddress" />

### Response

`StartWorkflowResponse`

<ResponseField name="workflow_id" type="string" required />

<ResponseField name="run_id" type="string" />

### Status codes

| Code  | Meaning          |
| ----- | ---------------- |
| `200` | Success          |
| `400` | Validation error |
| `401` | Unauthorized     |
| `404` | Not found        |
| `429` | Rate limited     |
| `500` | Internal error   |

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.workstream.stateset.com/v1/workflows/warranty-automation-v2/start' \
    --header "x-api-key: $STATESET_TEMPORAL_API_KEY" \
    --header 'Content-Type: application/json' \
    --data '{
    "request_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "ticket_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "channel": "string",
    "subject": "Replacement tent pole set",
    "message_body": "string",
    "tags": "priority",
    "quantity": 2,
    "customer": {
      "first_name": "Ada",
      "last_name": "Lovelace",
      "email": "ada.lovelace@example.com",
      "phone": "+1 415 555 0142"
    },
    "address": {
      "address1": "548 Market St",
      "address2": "Suite 400",
      "city": "San Francisco",
      "state": "CA",
      "zip": "94107",
      "country": "US"
    }
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "run_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
  }
  ```
</ResponseExample>
